package cn.com.countrygarden.bi.main.service.dataMigration;


import cn.com.countrygarden.bi.main.model.dataMigration.BdType;
import com.alibaba.fastjson.JSONObject;

import java.util.List;

/**
 * Created by ADMS on 2018/7/17.
 */
public interface BdTypeService {
    /**
     * 从nc全量同步数据至dup
     */
    List<BdType> ncToDup(int pageIndex, int pageSize);

    void insertErrorInfo(Integer errorPageIndex, String errorMsg);

    JSONObject getAllReturnInfo(String url, int pageIndex, int pageSize);

    int getTotal();

    Long getTableMaxId();

    Long getTableMinId();

    /**
     * 校验数据
     *
     * @return
     * @param startId 开始id
     * @param endId 结束id
     * @param totalStandard 总数
     */
    boolean verifyData(Long startId, Long endId, int totalStandard);

    /**
     * 清空表数据
     */
    void truncateTable();

    /**
     * 中间表至业务表
     */
    void midToBusness(Long startId, Long endId);

    /**
     * 清空中间表数据
     * @author ferren
     * @date 2019/7/3 15:01
     * @param
     * @return void
     */
    void truncateMidTable();
}
